# Chat History

### **Purpose**

Retrieves the full history of a specific conversation.

### **HTTP Method**

`GET`

### **Endpoint**

<https://platform-api.feedloop.ai/widget/convo_id/chats>

### Header

<table><thead><tr><th width="162">Name</th><th width="142">Type</th><th width="131" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td>Token</td><td>String</td><td>true</td><td>Unique app authentication token.</td></tr><tr><td>Content-Type</td><td>String</td><td>true</td><td>Set to <code>application/json</code>.</td></tr></tbody></table>

### Path Parameter

<table><thead><tr><th width="165">Field</th><th width="135">Type</th><th width="133" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td>convo_id</td><td>String</td><td>true</td><td>Conversation ID obtained from the Chat Initialization API.</td></tr></tbody></table>

### **Response**

<table><thead><tr><th width="171">Field</th><th width="132">Type</th><th>Description</th></tr></thead><tbody><tr><td>status</td><td>Strings</td><td>Indicates success or failure.</td></tr><tr><td>data</td><td>Array</td><td>List of messages exchanged in the conversation.</td></tr></tbody></table>

#### Example

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "identity": "john.doe@example.com",
    "data": {
        "name": "John Doe",
        "email": "john.doe@example.com"
    }
}

</code></pre>

### Response

<table><thead><tr><th width="167">Field</th><th width="141">Type</th><th>Description</th></tr></thead><tbody><tr><td>status</td><td>String</td><td>Indicates success or failure.</td></tr><tr><td>convo_id</td><td>String</td><td>Unique identifier for the conversation.</td></tr><tr><td>user_id</td><td>String</td><td>Unique identifier for the user.</td></tr></tbody></table>

**Example:**

```json
jsonCopy code{
    "status": "success",
    "data": {
        "convo_id": "08fc3e54-81d4-49dd-9727-ca727c2df26a",
        "user_id": "09883cac-2d0f-498c-be07-0d8724ab7e6c"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feedloop.ai/for-developer/api-chat/chat-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
